Skip to main content
DELETE
/
agents
/
{agentName}
Delete an agent
curl --request DELETE \
  --url https://api.pipecat.daily.co/v1/agents/{agentName} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.pipecat.daily.co/v1/agents/{agentName}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.pipecat.daily.co/v1/agents/{agentName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "OK"
}
{
"error": "Not found",
"code": "NOT_FOUND"
}
{
"error": "Internal server error",
"code": "INTERNAL_SERVER_ERROR"
}

Authorizations

Authorization
string
header
required

Authentication requires a Pipecat Cloud Private API token.

Generate a Private API key from your Dashboard (Settings > API Keys > Private > Create key) and include it as a Bearer token in the Authorization header.

Path Parameters

agentName
string
required

Name of the agent to delete

Response

Agent successfully deleted

status
enum<string>

Status of the deletion operation

Available options:
OK